package com.zayac.admin.system.model.resp;

import java.io.Serial;

import lombok.Data;

import io.swagger.v3.oas.annotations.media.Schema;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;

import top.continew.starter.extension.crud.model.resp.BaseDetailResp;

/**
 * 账号详情信息
 *
 * @author zayac
 * @since 2024/05/10 20:44
 */
@Data
@ExcelIgnoreUnannotated
@Schema(description = "账号详情信息")
public class AccountDetailResp extends BaseDetailResp {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 账号昵称
     */
    @Schema(description = "账号昵称")
    @ExcelProperty(value = "账号昵称")
    private String name;

    /**
     * 账号
     */
    @Schema(description = "账号")
    @ExcelProperty(value = "账号")
    private String username;

    /**
     * 密码
     */
    @Schema(description = "密码")
    @ExcelProperty(value = "密码")
    private String password;

    /**
     * 账号类型(0:开云,1:华体会,2:九游,3:爱游戏)
     */
    @Schema(description = "账号类型(0:开云,1:华体会,2:九游,3:爱游戏)")
    @ExcelProperty(value = "账号类型(0:开云,1:华体会,2:九游,3:爱游戏)")
    private Boolean type;

    /**
     * headers
     */
    @Schema(description = "headers")
    @ExcelProperty(value = "headers")
    private String headers;

    /**
     * 状态（1：启用；2：禁用)
     */
    @Schema(description = "状态（1：启用；2：禁用)")
    @ExcelProperty(value = "状态（1：启用；2：禁用)")
    private Integer status;

    /**
     * 对应平台的url
     */
    @Schema(description = "对应平台的url")
    @ExcelProperty(value = "对应平台的url")
    private String url;

    /**
     * 用户ID
     */
    @Schema(description = "用户ID")
    @ExcelProperty(value = "用户ID")
    private Long userId;
}